> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/check-topup-fee.md).

# Check topup fee

<mark style="color:orange;">`POST`</mark> /api/v2/cards/topup-check

This API allows you to check top-up fee in your card on Alix Platform&#x20;

**Headers**

| Param        | Value                                                                                                                   |
| ------------ | ----------------------------------------------------------------------------------------------------------------------- |
| access-token | It is accessToken  has returned from the [api Access Token](/alix-pay/api-reference/alix-card-api/auth/access-token.md) |

Request Body

```json
{
  "cardType": "GEC",
  "amount": "100" //USDT
}
```

<table><thead><tr><th width="164">Name</th><th width="82">Type</th><th width="110">Condition</th><th>Value</th></tr></thead><tbody><tr><td>cardType</td><td>string</td><td>required</td><td>the type of your card</td></tr><tr><td>amount</td><td>string</td><td>required</td><td>Amount of cryptocurrency, you want to top-up</td></tr></tbody></table>

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json

{
    "success": true,
    "message": "Your request has been successful",
    "data": {
        "netAmount": 10.88,
        "fee": 0.12
    },
    "errorCode": 0
}

```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
**When the access token expired. Please use the refresh token to get new access token instead of get a new access token**&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/check-topup-fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
